﻿using ASPNETCORE1.Services;
using Microsoft.AspNet.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ASPNETCORE1.ViewComponents
{
    public class Greeting : ViewComponent
    {
        private IGreeter _greeter;

        public Greeting(IGreeter greeter)
        {
            _greeter = greeter;
        }
        //
        public IViewComponentResult Invoke()
        {
            var model = _greeter.GetGreeter();
            return View("Default",model);
        }
    }
}
